Show User Output
curl --request POST \
--url https://api-lr.agent.ai/v1/action/output_formatter \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"output_formatted": "<string>",
"format": "auto",
"heading": "Output"
}
'import requests
url = "https://api-lr.agent.ai/v1/action/output_formatter"
payload = {
"output_formatted": "<string>",
"format": "auto",
"heading": "Output"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({output_formatted: '<string>', format: 'auto', heading: 'Output'})
};
fetch('https://api-lr.agent.ai/v1/action/output_formatter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}Outputs
Show User Output
Format and display results to users in HTML, JSON, tables, or other formats.
POST
/
action
/
output_formatter
Show User Output
Authorizations
Bearer token from your account (https://agent.ai/user/integrations#api)
Body
application/json
Enter the formatted output, such as '
Results
Details go here
' for HTML or 'key: value' for JSON-like displays.Select the format for output display, such as 'HTML', 'JSON', 'Table', or 'Markdown'.
Available options:
auto, iframe, html, json, table, markdown, audio, text Provide a heading for the output display, such as 'User Results' or 'Analysis Summary'.
⌘I

